<template>
  <div class="card" 
       @mouseenter="hover = true" 
       @mouseleave="hover = false" >
     <div class="flag"><img src="../assets/flag.jpg" alt=""></div>
        <p class="price"
          :class="hover ? 'color' : ''">Цена:{{price}} руб.</p>
        <div class="info"          
            :class="hover ? 'active' : ''">
            <div class="sub_info">Сапоги женские <br>
               Размер: 35 <br>
               Цвет: черный </div>
            <button>В корзину</button>
        </div>
  </div>
</template>

<script>
export default {
    data(){
        return{
            price: 100,
            hover: false
        }
    }
}

</script>


<style scoped>
body {
	display: flex;
	justify-content: center;
	margin-top: 25%;
}

.card {
	width: 200px;
	height: 320px;
	border: 1px solid black;
	text-align: center;
	border-radius: 5%;
	background-image: url('../assets/sapogi.jpg');
	background-position: center;
	background-repeat: no-repeat;
}

.flag img {
	width: 37px;
	height: 23px;
	margin-left: 141px;
	margin-top: 10px;
}

.price {
	margin-left: 10px;
	margin-top: 253px;
	text-align: left;
}

.info {
	display: none;
	width: 200px;
	height: 100px;
	margin-top: -103px;
	z-index: 1;	
	border-radius: 0px 0px 10px 10px;
    background-color: rgba(13, 14, 14, 0.5)
	}

.sub_info {     
    opacity: 1;  
	color: white;
	margin-bottom: 10px;
}

.info button {
	margin-top: 3px;
	margin-left: 114px;
	background-color: blueviolet;
	color: white;
	outline: none;
	cursor: pointer;
}

.active {
	display: block;
}
.color {
    color: white;
}

</style>
